### Struct

# Gimp ParamSpecObject

#### Description

    struct GimpParamSpecObject {
      GParamSpecObject parent_instance;
    }

No description available.

###### Structure members

`parent_instance:` `GParamSpecObject`

  No description available.

#### Functions

###### gimp_param_spec_object_duplicate

This function duplicates `pspec` appropriately, depending on the accurate spec type.

###### gimp_param_spec_object_get_default

Get the default object value of the param spec.

###### gimp_param_spec_object_has_default

This function tells whether a default was set, typically with `gimp_param_spec_object_set_default()` or any other way. It does not guarantee that the default is an actual object (it may be `NULL` if valid as a default).

###### gimp_param_spec_object_set_default

Set the default object value of the param spec. This will switch the `has_default` flag so that `gimp_param_spec_object_has_default()` will now return `TRUE`.